## apertium-anaphora 0.0.4

=== CMakeLists.txt ===
set(CMAKE_LEGACY_CYGWIN_WIN32 0)
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
project(apertium-anaphora
	VERSION 0.0.4
	LANGUAGES CXX
	)
set(VERSION ${PROJECT_VERSION})

# Release or Debug
if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release")
endif()

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_MACOSX_RPATH ON)

option(BUILD_SHARED_LIBS "Set to OFF to use static library" ON)

include(GNUInstallDirs)

if(MSVC)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /utf-8 /permissive- /W4 /MP")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /O2")
	set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
else()
	set(_FLAGS_COMMON "-Wall -Wextra -Wno-missing-field-initializers -Wno-deprecated -Wno-unused-parameter -fPIC")

	include(CheckCXXCompilerFlag)

	foreach(flag "-Wno-unused-result" "-flto")
		string(REGEX REPLACE "[^A-Za-z0-9]" "-" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(_FLAGS_COMMON "${_FLAGS_COMMON} ${flag}")
		endif()
	endforeach()
	if(COMPILER_SUPPORTS_flto)
		set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -flto")
	endif()

	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_FLAGS_COMMON} -fvisibility-inlines-hidden")

	# Require latest possible C++ standard
	foreach(flag "-std=c++20" "-std=c++2a" "-std=c++17" "-std=c++1z" "-std=c++14" "-std=c++1y")
		string(REGEX REPLACE "[^a-z0-9]" "-" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}")
			set(_ENABLED_CXX ${flag})
			break()
		endif()
	endforeach()
	if(NOT _ENABLED_CXX)
		message(FATAL_ERROR "Could not enable at least C++1y (C++14) - upgrade your compiler")
	endif()

	# Generate pkg-config file
	set(prefix ${CMAKE_INSTALL_PREFIX})
	configure_file(apertium-anaphora.pc.in apertium-anaphora.pc @ONLY)
	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/apertium-anaphora.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
endif()

find_package(PkgConfig REQUIRED)

pkg_search_module(LIBXML2 REQUIRED libxml-2.0)
include_directories(${LIBXML2_INCLUDE_DIRS})
link_directories(${LIBXML2_LIBRARY_DIRS})

pkg_search_module(LTTOOLBOX REQUIRED lttoolbox)
include_directories(${LTTOOLBOX_INCLUDE_DIRS})
link_directories(${LTTOOLBOX_LIBRARY_DIRS})

if(WIN32)
	add_definitions(-D_SECURE_SCL=0 -D_ITERATOR_DEBUG_LEVEL=0 -D_CRT_SECURE_NO_DEPRECATE -DWIN32_LEAN_AND_MEAN -DVC_EXTRALEAN -DNOMINMAX)
endif()

add_subdirectory(src)

=== src/CMakeLists.txt ===
add_executable(apertium-anaphora
	pattern_arx.cc
	parse_arx.cc
	parse_biltrans.cc
	score.cc
	anaphora.cc
	)
target_link_libraries(apertium-anaphora PRIVATE
	xml2
	lttoolbox3
	)

install(TARGETS apertium-anaphora
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	)

=== debian/changelog ===
apertium-anaphora (0.0.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:49 +0100

apertium-anaphora (0.0.4-1) unstable; urgency=medium

  [ Tino Didriksen ]
  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Nov 2019 10:42:06 +0100

apertium-anaphora (0.0.3-1) unstable; urgency=medium

  * Minor pkg-config @VERSION@ fix

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 Nov 2019 12:08:43 +0100

apertium-anaphora (0.0.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #941789).

 -- Kartik Mistry <kartik@debian.org>  Sat, 05 Oct 2019 18:24:11 +0530

=== debian/control ===
Source: apertium-anaphora
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake, debhelper (>= 12), libxml2-dev, lttoolbox-dev, pkg-config
Standards-Version: 4.4.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-anaphora.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-anaphora

Package: apertium-anaphora
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Anaphora resolution module
 This package provides a module for resolving anaphora in the pipeline.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-anaphora-$1.tar.gz%" \
    https://github.com/apertium/apertium-anaphora/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-anaphora 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_LEGACY_CYGWIN_WIN32 0)
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 project(apertium-anaphora
-	VERSION 0.0.4
+	VERSION 1.0.0
 	LANGUAGES CXX
 	)
 set(VERSION ${PROJECT_VERSION})
@@ -76,3 +76,8 @@
 endif()
 
 add_subdirectory(src)
+
+enable_testing()
+add_test(NAME tests
+	COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tests/test.sh" $<TARGET_FILE:apertium-anaphora>
+	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/tests)

=== src/CMakeLists.txt ===
add_executable(apertium-anaphora
	pattern_arx.cc
	parse_arx.cc
	parse_biltrans.cc
	score.cc
	anaphora.cc
	)
target_link_libraries(apertium-anaphora PRIVATE
	xml2
	lttoolbox3
	)

install(TARGETS apertium-anaphora DESTINATION ${CMAKE_INSTALL_BINDIR})

configure_file(apertium-validate-anaphora.in apertium-validate-anaphora @ONLY)
install(FILES anaphora.dtd DESTINATION "${CMAKE_INSTALL_DATADIR}/apertium-anaphora/")
install(PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/apertium-validate-anaphora" DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
apertium-anaphora (1.0.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release
  * debian/control:
    + Updated Maintainer email address.
    + Updated Standards-Version to 4.5.0
    + Switch to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Updated debian/copyright.
  * Updated debian/rules.

 -- Kartik Mistry <kartik@debian.org>  Thu, 02 Jul 2020 10:10:35 +0530

=== debian/control ===
Source: apertium-anaphora
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libxml2-dev,
               lttoolbox-dev,
               pkg-config
Standards-Version: 4.5.0
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-anaphora.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-anaphora
Rules-Requires-Root: no

Package: apertium-anaphora
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Anaphora resolution module
 This package provides a module for resolving anaphora in the pipeline.

## apertium-anaphora 1.0.1

=== debian/changelog ===
apertium-anaphora (1.0.1-1) unstable; urgency=low

  * Update to latest upstream
  * Changed build system from CMake to autotools
  * debian/control:
    + Updated Standards-Version to 4.5.1

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Dec 2020 14:33:34 +0100

=== debian/control ===
Source: apertium-anaphora
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               debhelper-compat (= 13),
               libxml2-dev,
               lttoolbox-dev (>= 3.5.3),
               pkg-config
Standards-Version: 4.5.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-anaphora.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-anaphora
Rules-Requires-Root: no

Package: apertium-anaphora
Architecture: any
Depends: libxml2-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Anaphora resolution module
 This package provides a module for resolving anaphora in the pipeline.

## apertium-anaphora 1.0.2

=== debian/changelog ===
apertium-anaphora (1.0.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Don't search for Bash (Closes: #979134)

  [ Kartik Mistry ]
  * debian/upstream/metadata:
    + Use better Documentation link.

 -- Kartik Mistry <kartik@debian.org>  Sun, 17 Jan 2021 13:22:41 +0530

=== debian/control ===
--- 
+++ 
@@ -18,5 +18,6 @@
 Package: apertium-anaphora
 Architecture: any
 Depends: libxml2-utils, ${misc:Depends}, ${shlibs:Depends}
-Description: Anaphora resolution module
- This package provides a module for resolving anaphora in the pipeline.
+Description: Anaphora resolution module for Apertium
+ This package provides a module for resolving anaphora in the pipeline for
+ Apertium.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-anaphora-$1.tar.bz2%" \
    https://github.com/apertium/apertium-anaphora/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-anaphora 1.1.0

=== debian/changelog ===
apertium-anaphora (1.1.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.
  * Updated to Standards-Version 4.6.0
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Sat, 19 Mar 2022 17:29:11 +0530

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (= 13),
+               libicu-dev,
                libxml2-dev,
-               lttoolbox-dev (>= 3.5.3),
+               lttoolbox-dev (>= 3.6.0),
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-anaphora.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-anaphora

=== debian/watch ===
version=4
https://github.com/apertium/apertium-anaphora/releases \
 .*/@PACKAGE@-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate

## apertium-anaphora 1.1.1

=== debian/changelog ===
apertium-anaphora (1.1.1-1build4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:19:21 +0200

apertium-anaphora (1.1.1-1build3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 08:36:37 +0100

apertium-anaphora (1.1.1-1build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 18:37:40 +0100

apertium-anaphora (1.1.1-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 20:06:29 -0500

apertium-anaphora (1.1.1-1) unstable; urgency=medium

  * Update to latest upstream release.

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 01 Nov 2022 09:38:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper-compat (= 13),
                libicu-dev,
                libxml2-dev,
-               lttoolbox-dev (>= 3.6.0),
+               lttoolbox-dev (>= 3.7.1),
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-anaphora.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-anaphora
